<template>
  <div class="referral-program">
    <div class="mobile">
      <h3 class="title-component">{{ $t('bounty.referral.title') }}</h3>

      <referral-box></referral-box>

      <referral-records></referral-records>

      <div class="ctu-total">
        <p class="title">Heta Tokens</p>
        <div class="number">{{ totalTokens | formatCurrencyAmount('heta', '0') }}</div>
      </div>
    </div>
  </div>
</template>

<script>
import rf from '../../../../common/requests/RequestFactory';
import ReferralRecords from './ReferralRecords.vue';
import ReferralBox from './ReferralBox.vue';

export default {
  components: {
    ReferralRecords,
    ReferralBox
  },
  data () {
    return {
      totalTokens: 0,
    }
  },
  methods: {
    getTotalHetaTokens () {
      const params = {
        type: 'referral'
      };
      rf.getRequest('UserRequest').getTotalHetaTokens(params)
        .then((res) => {
          this.totalTokens = res.data;
        });
    }
  },
  created () {
    this.getTotalHetaTokens();
  }
}
</script>
<style lang="scss" scoped>
@import "../../../../../sass/mobile/typoVariables.scss";
  .title-component {
    line-height: 20px;
  }

  .ctu-total {
    padding: 30rem 0rem 56rem;
  }

</style>
